package com.example.physiotherapytest;

import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.OutputStream;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.Locale;



import android.app.Activity;
import android.content.Intent;
import android.content.res.AssetManager;
import android.graphics.Bitmap;
import android.graphics.Color;
import android.net.Uri;
import android.os.Bundle;
import android.os.Environment;
import android.text.format.Time;
import android.util.Log;
import android.view.View;
import android.widget.Button;
import android.widget.Toast;

public class CuerpoHumano extends Activity {
	private VistaCuerpoHumano vistaCuerpoHumano;
	private String Paciente = "JulioEsteban";
	private Button btdolor;
	private Button btcalambres;
	private Button bthormigueo;
	private int idPaciente;
	private int idTest;
	
	
	@Override
	public void onCreate(Bundle savedInstanceState) {
      	super.onCreate(savedInstanceState);
        setContentView(R.layout.cuerpo_humano);
        
        vistaCuerpoHumano = (VistaCuerpoHumano) findViewById(R.id.VistaCuerpoHumano);
        btdolor = (Button) findViewById(R.id.btDolor);
        btcalambres = (Button) findViewById(R.id.btCalambres);
        bthormigueo = (Button) findViewById(R.id.btHormigueo);
        btdolor.setTextColor(Color.RED);
        btcalambres.setTextColor(Color.YELLOW);
        bthormigueo.setTextColor(Color.GRAY);
        Bundle extras = getIntent().getExtras(); 
        idPaciente = extras.getInt("idPaciente");
    }
	 
	 public void ponerColorRojo (View v){
		vistaCuerpoHumano.setColorActual(Color.RED);
	 }
     
	 public void ponerColorAmarillo(View v){
    	 vistaCuerpoHumano.setColorActual(Color.YELLOW);
	 }
     
     public void ponerColorGris(View v){
    	 vistaCuerpoHumano.setColorActual(Color.GRAY);
     }
    
     public void capturarPantalla(View v){
    	//Capturamos la pantalla en cache.
    	 vistaCuerpoHumano.setDrawingCacheEnabled(true);
    	 Bitmap b = vistaCuerpoHumano.getDrawingCache();
    	 
    	//Guardamos en la memoria externa.
    	// File sd = Environment.getExternalStorageDirectory();
    	
    	 
    	 String s =  Environment.getExternalStorageDirectory().toString() + "/PTimagenes/";// + idPaciente + "/" ;
    	File d1 = new File(s);
    	boolean success = true;
    	if (!d1.exists()) {
    		 success = d1.mkdir();
    	}
    	s =Environment.getExternalStorageDirectory().toString() + "/PTimagenes/" + idPaciente + "/";
    	File sd = new File(s);
    	if (!sd.exists()) {
   		 success = sd.mkdir();
   	    } 
    	
    	 Date fecha = new Date();
    	 SimpleDateFormat formateador = new SimpleDateFormat("yyMMddhhmmss");
    	 File f = new File(sd, formateador.format(fecha) +".png");
    	 
    	 try {
    	     if (sd.canWrite()) {
    	          f.createNewFile();
    	          OutputStream os = new FileOutputStream(f);
    	          b.compress(Bitmap.CompressFormat.PNG, 90, os);
    	          os.close();
    	     }
    	} catch (FileNotFoundException e) {
             e.printStackTrace();
        } catch (IOException e) {
             e.printStackTrace();
        }
        vistaCuerpoHumano.setDrawingCacheEnabled(false);

    }//Fin capturar pantalla
    
     public void verHistorico(View v){
    	
    	 String path = Environment.getExternalStorageDirectory().toString() + "/PTimagenes/" + idPaciente + "/";
    	
    	
    	 File f = new File(path);        
    	 File file[] = f.listFiles();
    	
    	 
    	 if (file.length != 0){
    		int i = 0;
    		 Intent intent = new Intent();
        	intent.setAction(Intent.ACTION_VIEW);
        	String s =Environment.getExternalStorageDirectory().toString() + "/PTimagenes/" 
        	      + idPaciente + "/" + file[i].getName();
        	intent.setDataAndType(Uri.parse(s), "image/*");
        	startActivity(intent); 
    	 }else {
    		 if (Locale.getDefault().getLanguage().equals("es")){
    			 Toast.makeText(this, "No hay imgenes guardadas aun.", Toast.LENGTH_LONG);
    		 }else {
    			 Toast.makeText(this, "No images in directory ", Toast.LENGTH_LONG);
    		 }
    	 }
    	 
    	 
    	
    	 
    	 
     }
    	 
    	 
   
     
     
	@Override protected void onPause() {
	       super.onPause();
	      
	}
	 
	@Override protected void onResume() {
	       super.onResume();
	     
	}
	 
	@Override protected void onDestroy() {
	     
	       super.onDestroy();
	}

}



