package com.example.physiotherapytest;



import android.app.Activity;
import android.app.ListActivity;
import android.content.Intent;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.ListView;
import android.widget.TextView;
import android.widget.Toast;
    
public class ListaTest extends ListActivity {
	private  int idPaciente = 0 ;
	private EditText txtBusqueda1;
	
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.lista_test);
		Bundle extras = getIntent().getExtras(); 
		
		txtBusqueda1 = (EditText) findViewById(R.id.editText1);
		
		BaseDatos BD = new BaseDatos(this);
		setListAdapter(new AdaptadorPacientes(this, BD.getlistaTest()));
	     extras = getIntent().getExtras(); 
		idPaciente = extras.getInt("idPaciente");
	}

	
	@Override
	    protected void onListItemClick(ListView listView,  View view, int position, long id) {
	        super.onListItemClick(listView, view, position, id);
	        Object o = getListAdapter().getItem(position);
	      
	        String idTestString = o.toString();
	        int indice = idTestString.indexOf('-');
	        idTestString = idTestString.substring(0,indice);
	        idTestString = idTestString.trim();
	        int idtest = Integer.parseInt(idTestString);
	       
	        switch (idtest) {
		       case 1:
		    	    Intent I = new Intent(this,RonaldMorrisLumbar.class);
			        I.putExtra("idTest", idtest);
			        I.putExtra("idPaciente", idPaciente);
					startActivity(I);
					break;
			   case 2:
		    	    Intent k = new Intent(this,OWESTRYFuncional.class);
			        k.putExtra("idTest", idtest);
			        k.putExtra("idPaciente", idPaciente);
					startActivity(k);
					break;
		       case 3:
		    	   Intent J = new Intent(this,CuerpoHumano.class);
			        J.putExtra("idTest", idtest);
			        J.putExtra("idPaciente", idPaciente);
					startActivity(J);
					break;
		       } // end switch
	        
	   } // onListItemClick
	
	public void buscarEnLista(View v){
		
		BaseDatos BD = new BaseDatos(this);
		setListAdapter(new AdaptadorPacientes(this, BD.listaTestWhere(txtBusqueda1.getText().toString())));
	}
	 
	 
	 
	 
	 
	 
}// final Clase Pacientes.
