package com.example.physiotherapytest;



import java.util.Locale;

import android.app.Activity;
import android.app.ListActivity;
import android.content.Intent;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.ListView;
import android.widget.TextView;
import android.widget.Toast;

public class Pacientes extends ListActivity {
	private EditText txtBusqueda; 
	
	
	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.pacientes);
		txtBusqueda = (EditText) findViewById(R.id.editText1);
		BaseDatos BD = new BaseDatos(this);
		setListAdapter(new AdaptadorPacientes(this, BD.listaPacientes()));
		
	}
    
	
	public void actulizarOnClick(View v){//
		actualizar(txtBusqueda.getText().toString());
	}
	
	public void actualizar( String cadenaBusqueda){
		
		BaseDatos BD = new BaseDatos(this);
		setListAdapter(new AdaptadorPacientes(this, BD.listaPacienteswhere( cadenaBusqueda  )));
	}
		
	protected void onResume(){
		super.onResume();
	  		   actualizar(txtBusqueda.getText().toString());
	}
	
	@Override
	    public boolean onCreateOptionsMenu(Menu menu) {
	       getMenuInflater().inflate(R.menu.pacientes_menu, menu);
	       return true;
	      
	    }
	 
	 @Override
	    protected void onListItemClick(ListView listView,  View view, int position, long id) {
	        super.onListItemClick(listView, view, position, id);
	        Object o = getListAdapter().getItem(position);
	      
	        String idPacienteString = o.toString();
	        int indice = idPacienteString.indexOf('-');
	        idPacienteString = idPacienteString.substring(0,indice);
	        idPacienteString = idPacienteString.trim();
	        int idPaciente = Integer.parseInt(idPacienteString);
	         
	        Intent I = new Intent(this,ListaTest.class);
	        I.putExtra("idPaciente", idPaciente);
			startActivity(I);
	        
	        
	   }
	 @Override
	    public boolean onOptionsItemSelected(MenuItem item) {
	       switch (item.getItemId()) {
	       case R.id.nuevo_paciente:
	    	   lanzarAltaPaciente();
	          return true;
	       
	    	default:
	          return super.onOptionsItemSelected(item);
	       }
	    }

	 public void lanzarAltaPaciente(){
		 Intent I = new Intent(this,AltaPaciente.class); 
			startActivity(I);
		 
		 
	 }
	 
	 
	 
	 
	 
	 
}// final Clase Pacientes.
