package com.example.physiotherapytest;

import java.util.Vector;

import android.app.Activity;
import android.graphics.Typeface;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.CheckBox;
import android.widget.CompoundButton;
import android.widget.TextView;
import android.widget.Toast;

public class AdaptadorListaTest extends BaseAdapter {
    private final Activity actividad;
    private final Vector<String> lista;
  
   

    public AdaptadorListaTest(Activity actividad, Vector<String> lista) {
          super();
          this.actividad = actividad;
          this.lista = lista;
    }

    public View getView(final int position, View convertView, ViewGroup parent) {
          LayoutInflater inflater = actividad.getLayoutInflater();
         
          View view = inflater.inflate(R.layout.lista_test_elemento, null, true);
          TextView NombreTest  =(TextView)view.findViewById(R.id.nombreTest);
                   
          NombreTest.setText(lista.elementAt(position));
          
          return view;
    }

    public int getCount() {
          return lista.size();
    }

    public Object getItem(int arg0) {
          return lista.elementAt(arg0);
    }

    public long getItemId(int position) {
          return position;
    }
   
}
