package com.example.physiotherapytest;


import android.app.ListActivity;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.widget.Button;
import android.widget.CheckBox;
import android.widget.ListView;
import android.widget.TextView;
import android.widget.Toast;

public class OWESTRYFuncional extends ListActivity {
	private TextView textoResultado;
	private Button botonCalcular;

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.owestry_funcional);
		textoResultado = (TextView) findViewById(R.id.tvResultado);
		Button botonCalcular = (Button) findViewById(R.id.btCalcular);
		BaseDatos BD = new BaseDatos(this);
		setListAdapter(new AdaptadorOWESTRYFuncional(this, BD.listaTest(2)));

	}

	@Override
	protected void onListItemClick(ListView listView, View view, int position,
			long id) {
		super.onListItemClick(listView, view, position, id);
		Object o = getListAdapter().getItem(position);
		Log.d("jeg", "set on click listener");
		Toast.makeText(
				this,
				"Seleccin: " + Integer.toString(position) + " - "
						+ o.toString(), Toast.LENGTH_LONG).show();
	}

	public void Nocalcular(View view) {
		//TextView tv = (TextView) view.findViewById(R.id.tvResultado);
		//int contador = ((MiAdaptador) (getListView().getAdapter())).getContador();
		//tv.setText(Integer.toString(contador));
		
		ListView lista = getListView();

		int marcados = 0;
		
		for (int i = 0; i < lista.getCount(); i++) {
			View v = lista.getChildAt(i);
			
			if (v != null) {
				CheckBox miCheckBox = (CheckBox) v.findViewById(R.id.chkSI_NO);
				TextView texto = (TextView) v.findViewById(R.id.Pregunta);
				if (miCheckBox.isChecked()) {
					marcados++;
				}
			}
		}
		String s = Integer.toString(marcados);
		textoResultado.setText(s);
		
	}

	public void calcular(View view) {
		int contador = ((AdaptadorOWESTRYFuncional) (getListView().getAdapter())).getContador();
		textoResultado.setText(Integer.toString(contador));
	}
	
}
