package com.example.physiotherapytest;

import android.R.integer;
import android.app.ListActivity;
import android.os.Bundle;
import android.util.Log;
import android.util.SparseBooleanArray;
import android.view.View;
import android.widget.Button;
import android.widget.CheckBox;
import android.widget.ListView;
import android.widget.TextView;
import android.widget.Toast;

public class RonaldMorrisLumbar extends ListActivity {
	private TextView textoResultado;
	private Button botonCalcular;

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.ronald_morris_lumbar);
		textoResultado = (TextView) findViewById(R.id.tvResultado);
		Button botonCalcular = (Button) findViewById(R.id.btCalcular);
		BaseDatos BD = new BaseDatos(this);
		setListAdapter(new AdaptadorRonalMorisLumbar(this, BD.listaTest(1)));

	}

	@Override
	protected void onListItemClick(ListView listView, View view, int position,
			long id) {
		super.onListItemClick(listView, view, position, id);
		Object o = getListAdapter().getItem(position);
		Log.d("jeg", "set on click listener");
		Toast.makeText(
				this,
				"Seleccin: " + Integer.toString(position) + " - "
						+ o.toString(), Toast.LENGTH_LONG).show();
	}

	public void Nocalcular(View view) {
		
		
		ListView lista = getListView();

		int marcados = 0;
		
		for (int i = 0; i < lista.getCount(); i++) {
			View v = lista.getChildAt(i);
			
			if (v != null) {
				CheckBox miCheckBox = (CheckBox) v.findViewById(R.id.chkSI_NO);
				TextView texto = (TextView) v.findViewById(R.id.Pregunta);
				Log.d("jeg", texto.getText().toString());
				Log.d("jeg", Boolean.toString(miCheckBox.isChecked()));
				if (miCheckBox.isChecked()) {
					marcados++;
				}
			}
		}
		String s = Integer.toString(marcados);
		textoResultado.setText(s);
		
	}
	public void calcular(View view) {
	    	int contador = ((AdaptadorRonalMorisLumbar) (getListView().getAdapter())).getContador();
			textoResultado.setText(Integer.toString(contador));
		
	
	}

}
